using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioMensagem
    {

        public void Insert(entidadeMensagem objMensagem)
        {
            dalMensagem dalMensagem = null;

            try
            {
                dalMensagem = new dalMensagem();

                dalMensagem.Insert(objMensagem);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeMensagem objMensagem)
        {
            dalMensagem dalMensagem = null;

            try
            {
                dalMensagem = new dalMensagem();

                dalMensagem.Update(objMensagem);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeMensagem objMensagem)
        {
            dalMensagem dalMensagem = null;

            try
            {
                dalMensagem = new dalMensagem();

                dalMensagem.Delete(objMensagem);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeMensagem> Select(entidadeMensagem objMensagem)
        {
            dalMensagem dalMensagem = null;

            var lstMensagem = new List<entidadeMensagem>();
            DataTable dt = null;

            try
            {
                dalMensagem = new dalMensagem();
                dt = dalMensagem.Select(objMensagem);

                foreach (DataRow dr in dt.Rows)
                {
                    objMensagem = new entidadeMensagem();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objMensagem.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["DIA"]))
                        objMensagem.DIA = Convert.ToInt32(dr["DIA"]);

                    if (!Convert.IsDBNull(dr["MES"]))
                        objMensagem.MES = Convert.ToInt32(dr["MES"]);

                    if (!Convert.IsDBNull(dr["TITULO"]))
                        objMensagem.TITULO = dr["TITULO"].ToString();

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objMensagem.DESCRICAO = dr["DESCRICAO"].ToString();


                    lstMensagem.Add(objMensagem);
                }
                return lstMensagem;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
